
MBB BCA  - Feature #18835

[FE][Bulk Payee List]Create Validation Upload 

09 November 2023 03:54 PM - Rahmat Alfianto

Status: New Start date: 09 November 2023

Priority: Normal Due date:  

Assignee: sandika prakasa % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Create validation for upload file :

- Maximum number of uploaded file is 1

- Format file must be TXT / CSV

- File maxsize <= 7 MB, minsize > 0 MB

- Filename length max 100 char

- Filename cannot contain special char .#

- Field Keterangan mandatory, only can input alphanumeric max 50 character

- If template file not available show error message

- If failed to upload file show error message

- If timeout show error message

- If general error show error message

link figma : 

https://www.figma.com/file/lmQMMvUyYgo3CFSvD8oZqk/ASP-Design-23-Vol-2?type=design&node-id=4405-310449&mode=design

&t=iZ2uKywTvc6j0PMl-0

History

#1 - 09 November 2023 04:07 PM - Rahmat Alfianto

- Description updated

#2 - 09 November 2023 04:17 PM - Rahmat Alfianto

- Tracker changed from Bug to Feature

#3 - 10 November 2023 12:21 PM - sandika prakasa

- File WhatsApp Image 2023-11-10 at 10.11.43.jpeg added

- File WhatsApp Image 2023-11-10 at 10.12.21.jpeg added

- File WhatsApp Image 2023-11-10 at 10.11.55.jpeg added

The interface is not match with result event while upload. This image from Notion, their lib docs. And also cannot read the file upload too

Files

WhatsApp Image 2023-11-10 at 10.11.43.jpeg 653 KB 10 November 2023 sandika prakasa

WhatsApp Image 2023-11-10 at 10.12.21.jpeg 111 KB 10 November 2023 sandika prakasa

WhatsApp Image 2023-11-10 at 10.11.55.jpeg 104 KB 10 November 2023 sandika prakasa
